/* Variables */


:root {
    --font-size: 1rem;
}

.light-mode {
    --navbar-color: #222;
    --navbar-color1: #eab256;
    --navbar-bg-color: #478ac9;
    --navbar-bg-color1: #adcce9;
}

.dark-mode {
    --navbar-color: rgb(255, 255, 255);
    --navbar-color1: #eab256;
    --navbar-bg-color: #222;
    --navbar-bg-color1: #adcce9;
}


/* Reset */

* {
    box-sizing: border-box;
    outline: none;
    margin: 0;
    padding: 0;
}

ul {
    list-style: none;
}


/* Basic style */

body {
    margin: 0;
    font-size: var(--font-size);
    font-family: sans-serif;
}

/* Navbar */

.navbar {
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
    padding: 10px;
    font-size: 1.1rem;
    background: var(--navbar-bg-color);
    /* color: var(--navbar-color); */
    z-index: 7;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
}

.menus {
    display: flex;
    z-index: 3;
}

.menu {
    padding: 0 10px;
    z-index: 3;
}

.menu>a {
    color: var(--navbar-color);
    text-decoration: none;
    z-index: 3;
}

.burger {
    display: none;
}



/* --------------------------------------------
----                                       ----
----  EN MODE DE FONCTIONNEMENT TELEPHONE  ----
----                                       ----
-----------------------------------------------
*/

@media screen and (max-width:767.98px) {
    .menus {
        overflow: hidden;
        display: flex;
        flex-direction: column;
        width: 0;
        height: calc(100vh - 65px);
        position: absolute;
        top: 65px;
        right: 0;
        background: var(--navbar-bg-color);
        transform: translateX(110%);
        transition: all .5s ease-in-out;
    }

    .show-nav .menus {
        width: 100vw;
        transform: translateX(0);
    }

    .menu {
        transform: translateX(101%);
        transition: all .5s ease-in-out;
    }

    .show-nav .menu {
        transform: translateX(0);
    }

    .menu>a {
        display: block;
        padding: 1rem;
        font-size: 1.6rem;
        /* color: var(--navbar-color); */
        transition: all .4s ease-in-out;
    }

    .menu>a:hover {
        padding-left: 2rem;
        letter-spacing: 5px;
    }

    .dropdown-content>a {

        padding: 1rem;
        font-size: 1.6rem;
        color: var(--navbar-color1);
        transition: all .4s ease-in-out;
    }

    .dropdown-content>a:hover {
        padding-left: 2rem;
        letter-spacing: 5px;
    }

    /* fabrication du menu burger */
    .burger {
        display: block;
        position: relative;
        padding: 0;
        width: 45px;
        height: 45px;
        border: none;
        background: transparent;
        cursor: pointer;
        justify-content: center;
    }

    .bar {
        display: block;
        width: 45px;
        height: 4px;
        border-radius: 3px;
        background: var(--navbar-color);
        transition: all .5s ease-in-out;
    }

    .bar::before,
    .bar::after {
        content: "";
        width: 45px;
        height: 4px;
        position: absolute;
        left: 0;
        background: var(--navbar-color);
        border-radius: 3px;
        transition: all .5s ease-in-out;
    }

    .bar::before {
        transform: translateY(-12px)
    }

    .bar::after {
        transform: translateY(12px)
    }

    /*_________________________________________________________________*/
    /* transforme le burger en croix quand show-nav est mis en class*/
    .show-nav .bar {
        width: 0;
        background: transparent;
    }

    .show-nav .bar::before {
        transform: rotate(45deg);
    }

    .show-nav .bar::after {
        transform: rotate(-45deg);
    }

    /*_________________________________________________________________*/
    /* pour deplacer le texte avec une transition differente */
    .show-nav .first {
        transition: all 1s ease-out;
    }

    .show-nav .second {
        transition: all 1.1s ease-out;
    }

    .show-nav .third {
        transition: all 1.2s ease-out;
    }

    .show-nav .four {
        transition: all 1.3s ease-out;
    }

    .show-nav .fifth {
        transition: all 1.4s ease-out;
    }

    /* mis en forme logo corcym a gauche et icon de login a droite */
    .login {
        width: 50px;
        height: 50px;
    }

    .login:hover #login1 {
        stroke: white;
    }

    #login2 {
        fill: black;
    }

    .login:hover #login2 {
        fill: snow;
    }



    .navbarLogo {
        display: flex;
        flex-direction: column;
        width: 150px;
        height: 50px;
    }

    .navbarLogo p {
        text-align: left;
        font-size: small;
        width: 180px;
        padding-left: 4px;
    }

    #desinfection {
        padding-left: 4px;
        padding-right: 4px;
    }

    /* ___________________________________________________________ */
    /* partie qui gere les sous menu */
    .menus {
        display: flex;
        align-items: center;
    }

    li a {

        text-align: center;
        padding: 6px 16px;
        text-decoration: none;
        text-shadow: 2px 2px 8px rgba(0, 0, 0, 0.4)
    }

    .dropdown-content a {
        display: none;
    }

    .menu:hover a {
        display: block;
    }

    .prenomSession {
        font-weight: bold;
        white-space: nowrap;
        font-size: small;
        color: black;
    }


}


/* -----------------------------------------
----                                    ----
----  EN MODE DE FONCTIONNEMENT PC      ----
----                                    ----
--------------------------------------------
*/

@media screen and (min-width:768px) {

    .menu>a::before {
        display: block;
        content: "";
        width: 0;
        height: 1px;
        background: var(--navbar-color);
        transition: width .4s;
    }

    .menu:hover>a::before {
        width: 100%;
    }

    /*_________________________________________________________________*/
    /* partie qui gere les sous menu */
    .dropdown-content {
        display: none;
        position: absolute;
        background-color: var(--navbar-bg-color);
        width: 200px;
        min-width: 120px;
        box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.5);
    }

    .dropdown-content a {
        color: var(--navbar-color);
        padding: 12px 12px;
        text-decoration: none;
        display: block;
        text-align: left;
        position: relative;
    }

    .dropdown-content a:hover {
        background-color: var(--navbar-bg-color);
        padding-left: 10px;
        transition: 0.4s;
        letter-spacing: 5px;
        color: var(--navbar-color1);
    }

    .menu:hover .dropdown-content {
        display: block;
    }

    ul {
        list-style-type: none;
        margin: 0;
        padding: 0;
    }

    .menus {
        display: flex;
        align-items: center;
        margin-bottom: -10px;
    }

    li {
        float: left;
    }

    li a,
    .dropbtn {
        display: inline-block;
        color: black;
        text-align: center;
        padding: 6px 16px;
        text-decoration: none;
        text-shadow: 2px 2px 8px rgba(0, 0, 0, 0.4)
    }

    #desinfection {
        padding-left: 4px;
        padding-right: 4px;
    }

    /* mis en forme logo corcym a gauche et icon de login a droite */
    .login {
        width: 50px;
        height: 50px;
    }

    .login:hover #login1 {
        stroke: white;
    }

    #login2 {
        fill: black;
    }

    .login:hover #login2 {
        fill: snow;
    }

    .navbarLogo {
        display: flex;
        flex-direction: row;
        width: 150px;
        height: 50px;
    }

    .prenomSession {
        font-weight: bold;
        white-space: nowrap;
        padding-left: 10px;

    }

}